###############################################################################
#
# Copyright (C) 2006-2008 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License version 2.
#
###############################################################################


%define include_zope_and_plone	yes


############ SRPM ###################

Name: conga
Version: 0.12.2
Release: 12%{?dist}.4
License: GPL
URL: http://sources.redhat.com/cluster/conga

Group: System Environment/Base
Summary: Remote Management System

Source0: %{name}-%{version}.tar.gz
Patch1: bz501780.patch
Patch2: bz514051.patch
Patch3: bz517114.patch
Patch4: bz519050.patch
Patch5: bz519252.patch
Patch6: bz521884.patch
Patch7: bz530129.patch

%if "%{include_zope_and_plone}" == "yes"
Source1: Zope-2.9.8-final.tgz
Source2: Plone-2.5.5.tar.gz
Patch8: Plone-2.5.5-CMFPlone.patch
%endif
Source3: luci_db-2.tar.gz

Patch9: bz508142.patch
Patch10: bz519268.patch
Patch11: bz469881.patch
Patch12: bz578954.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define my_requires %{_builddir}/my_requires
%define _use_internal_dependency_generator 0
%define virt_support 0

%ifarch i386 x86_64 ia64
%define virt_support 1
%endif

BuildRequires: python-devel >= 2.4.1
BuildRequires: glibc-devel gcc-c++ libxml2-devel sed
BuildRequires: cyrus-sasl-devel >= 2.1
BuildRequires: openssl-devel dbus-devel pkgconfig file

%description
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that dispatches
incoming messages to underlying management modules.

%prep
%setup -q

%{__cat} <<EOF >%{my_requires}
#!/bin/sh
%{__find_requires} | grep -v '^libvirt'
exit 0
EOF
chmod +x %{my_requires}
%define __find_requires %{my_requires}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%if "%{include_zope_and_plone}" == "yes"
# Zope
%setup -q -T -D -a 1
ln -s ../Zope-2.9.8-final luci/zope
# Plone
%setup -q -T -D -a 2
ln -s ../Plone-2.5.5 luci/plone
pushd luci/plone
%patch8 -p1
popd
%endif
%setup -q -T -D -a 3
cp Data.fs luci/site/luci/var

%build
%if %{virt_support}
%configure		--arch=%{_arch} \
		--docdir=%{_docdir} \
		--include_zope_and_plone=%{include_zope_and_plone} --VIRT_SUPPORT=1
%else
%configure		--arch=%{_arch} \
		--docdir=%{_docdir} \
		--include_zope_and_plone=%{include_zope_and_plone} --VIRT_SUPPORT=0
%endif

make %{?_smp_mflags} conga

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install_conga

%clean
rm -rf %{buildroot}


####### luci #######

%package -n luci

Group: System Environment/Base
Summary: Remote Management System - Management Station

Requires: chkconfig initscripts bc
Requires: python >= 2.4.1
%if "%{include_zope_and_plone}" == "yes"
Provides: config(luci) = %{version}-%{release}
# don't provide zope internals
AutoProv: no
%else
AutoProv: yes
Requires: zope
Requires: plone >= 2.5
%endif
Requires: grep openssl mailcap stunnel
Requires: sed util-linux
Requires: python-imaging

Requires(pre): grep shadow-utils
Requires(post): chkconfig initscripts
Requires(preun): chkconfig initscripts

%description -n luci
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that
dispatches incoming messages to underlying management modules.

This package contains the luci server.

%files -n luci
%verify(not size md5 mtime) /var/lib/luci/var/Data.fs
%verify(not size md5 mtime) /var/lib/luci/.default_password_has_been_reset
%defattr(-,root,root)
%config(noreplace)		%{_sysconfdir}/sysconfig/luci
				%{_sysconfdir}/rc.d/init.d/luci
				%{_sbindir}/luci_admin
				%{_docdir}/luci-%{version}/
%defattr(0755,root,root)
				%{_libdir}/luci/
%defattr(-,luci,luci)
				%{_localstatedir}/lib/luci
				%{_libdir}/luci/ssl
%if "%{include_zope_and_plone}" == "yes"
				%{_libdir}/luci/zope
%endif

%pre -n luci
groupmod luci >&/dev/null
if [ $? -eq 6 ]; then 
	/usr/sbin/groupadd -r -f luci >&/dev/null
fi

id luci >&/dev/null
if [ $? -ne 0 ]; then
	/usr/sbin/useradd -r -M -s /sbin/nologin -d /var/lib/luci -g luci luci >&/dev/null
fi

if [ $1 -gt 1 ]; then
	# Package upgrade
	/sbin/service luci status >&/dev/null
	LUCI_RUNNING=$?
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci stop >& /dev/null
		# allow the zope machinery time to shut down
		sleep 4
	fi
	/usr/sbin/luci_admin backup >&/dev/null
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci start >&/dev/null
	fi
fi
exit 0

%post -n luci
/sbin/chkconfig --add luci
/sbin/service luci status >&/dev/null
LUCI_RUNNING=$?
if [ $LUCI_RUNNING -eq 0 ]; then
	/sbin/service luci stop >&/dev/null
fi
if [ -f /var/lib/luci/var/luci_backup.xml ]; then
	# restore luci database
	/usr/sbin/luci_admin restore >&/dev/null
fi

# set initial admin password (if not already set) to random value
grep True /var/lib/luci/.default_password_has_been_reset >&/dev/null
if [ $? -ne 0 ]; then
	/usr/sbin/luci_admin password --random >&/dev/null &&
		rm -f /var/lib/luci/var/Data.fs.index /var/lib/luci/var/Data.fs.tmp /var/lib/luci/var/Data.fs.old >& /dev/null
	find %{_libdir}/luci/zope/var -print0 2>/dev/null | xargs -0 chown luci: >&/dev/null
fi
if [ $LUCI_RUNNING -eq 0 ]; then
	/sbin/service luci start >&/dev/null
fi
exit 0

%preun -n luci
if [ $1 -eq 0 ]; then
	# uninstall
	/sbin/service luci stop >&/dev/null
	/sbin/chkconfig --del luci

	/sbin/service luci status >&/dev/null
	LUCI_RUNNING=$?
	if [ $LUCI_RUNNING -eq 0 ]; then
		/sbin/service luci stop >&/dev/null
		# allow the zope machinery time to shut down
		sleep 4
	fi
	/usr/sbin/luci_admin backup >&/dev/null
fi
exit 0


### ricci daemon & basic modules ###

%package -n ricci

Group: System Environment/Base
Summary: Remote Management System - Managed Station

Requires: initscripts
Requires: oddjob dbus openssl pam cyrus-sasl >= 2.1
Requires: sed util-linux
Requires: modcluster >= 0.12.0

# modreboot

# modvirt

%if %{virt_support}
BuildRequires: libvirt-devel
%endif

# modrpm

# modstorage
Requires: parted util-linux

# modservice
Requires: chkconfig initscripts

# modlog

Requires(pre): grep shadow-utils
Requires(post): chkconfig initscripts util-linux
Requires(preun): chkconfig initscripts
Requires(postun): initscripts util-linux

%description -n ricci
Conga is a project developing management system for remote stations.
It consists of luci, https frontend, and ricci, secure daemon that dispatches
incoming messages to underlying management modules.

This package contains listening daemon (dispatcher), as well as
reboot, rpm, storage, service and log management modules.

%files -n ricci
%defattr(-,root,root)
# ricci
%config(noreplace)	%{_sysconfdir}/pam.d/ricci
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci.systembus.conf
			%{_sysconfdir}/rc.d/init.d/ricci
%attr(-,ricci,ricci)	%{_localstatedir}/lib/ricci
			%{_sbindir}/ricci
%attr(-,root,ricci)	%{_libexecdir}/ricci/
			%{_docdir}/ricci-%{version}/
# modrpm
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modrpm.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modrpm.systembus.conf
			%{_libexecdir}/ricci-modrpm
# modstorage
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modstorage.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modstorage.systembus.conf
			%{_libexecdir}/ricci-modstorage
# modservice
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modservice.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modservice.systembus.conf
			%{_libexecdir}/ricci-modservice
# modlog
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modlog.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modlog.systembus.conf
			%{_libexecdir}/ricci-modlog

# modvirt
%config(noreplace)	%{_sysconfdir}/oddjobd.conf.d/ricci-modvirt.oddjob.conf
%config(noreplace)	%{_sysconfdir}/dbus-1/system.d/ricci-modvirt.systembus.conf
			%{_libexecdir}/ricci-modvirt

%pre -n ricci
getent group ricci >/dev/null || groupadd -r ricci
getent passwd ricci >/dev/null || useradd -r -M -g ricci -d /var/lib/ricci -s /sbin/nologin -c "ricci daemon user" ricci
exit 0

%post -n ricci
DBUS_PID=`cat /var/run/messagebus.pid 2>/dev/null`
/bin/kill -s SIGHUP $DBUS_PID >&/dev/null
/sbin/service oddjobd reload >&/dev/null
/sbin/chkconfig --add ricci
exit 0

%preun -n ricci
if [ "$1" == "0" ]; then
	/sbin/service ricci stop >&/dev/null
	/sbin/chkconfig --del ricci
fi
exit 0

%postun -n ricci
if [ "$1" == "0" ]; then
	DBUS_PID=`cat /var/run/messagebus.pid 2>/dev/null`
	/bin/kill -s SIGHUP $DBUS_PID >&/dev/null
	/sbin/service oddjobd reload >&/dev/null
fi
if [ "$1" == "1" ]; then
	/sbin/service ricci condrestart >&/dev/null
fi
exit 0




###  changelog ###
%changelog
* Wed Sep 01 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-12.el5_5.4
- Additional fixes for bz580202 (Luci invalidates some "system hostnames" that are valid)

* Wed Apr 07 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-12.el5_5.2
- Fix bz580202 (Luci invalidates some "system hostnames" that are valid)

* Thu Apr 01 2010 Chris Feist <cfeist@redhat.com> 0.12.2-12.el5_5.1
- An issue with calling 'virsh nodelist' would cause ricci to hang for
  30 seconds during most requests resulting in timeouts to the web interface.
- Resolves: rhbz#578954

* Tue Feb 09 2010 Ryan McCabe <rmccabe@redhat.com> 0.12.2-12
- Fix bz46988 (luci failed to start)
- Revert bz496749.patch (IPMI will suffice)

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-10
- Fix bz496749

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-9
- Tweak spec file.

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-8
- Fix bz508142
- Fix bz519268

* Mon Dec 21 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-7
- Fix bz501780 (Luci invalidates some "system hostnames" that are valid)
- Fix bz514051 (fs resource will remount itself if any config changes are made to cluster.conf)
- Fix bz517114 (Conga should not tag clusternodes with multicast tags)
- Fix bz519050 (Luci does not validate passwords and incorrect characters can be used)
- Fix bz521884 (Fix instances of #!/usr/bin/env python in luci)
- Fix bz530129 (conga does not properly handle HA LVM types)

* Thu Nov 12 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-6.1
- Fix bz519252: run the 'virsh' command with --readonly to cope with new
  virsh/xen behavior introduced in RHEL 5.4.

* Thu May 14 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-6
- Fix bz469965 (Adding existing fence device fails)
- Fix bz499741 (updating qdisk partition global settings wipes out heuristics)
- Fix bz495109 (Need xen/kvm flag for conga UI)

* Thu Apr 23 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-5
- Fix bz492392 (Conga Interface for Fence Agents Requires Password even when Password Script is Specified)
- Fix bz491903 ([RFE] add option 'nfslock' to conga)

* Tue Mar 24 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-4
- Rework fix for bz483775 (Failover Domains can't be set for VMs as services of cluster suite using Conga)

* Mon Mar 16 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-3
- Fix bz483769 (Conga always shows VM properties as "Run exclusive")

* Thu Jan 22 2009 Ryan McCabe <rmccabe@redhat.com> 0.12.2-1
- Fix bz452704 (Unable to add existing RHEL4 clusters with RHEL5.2 Luci)
- Fix bz467464 (adding qdisk to existing cluster fails to update cman entry in cluster.conf)
- Fix bz460038 (Conga fs resource error when editing service)
- Fix bz483067 (adding resource in conga doesn't work in IE)
- Fix bz483775 (Failover Domains can't be set for VMs as services of cluster suite using Conga)
- Fix bz450007 (cannot remove shared fence device through luci)
- Fix bz466013 (Add luci GUI support for LPAR and vmware fencing)
- Fix bz459160 (fenced config option to skip nodes with undefined fencing)

* Thu Sep 25 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-7
- Fix a typo in the fix for bz459562

* Tue Sep 23 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-6
 - Fix bz463220

* Tue Sep 23 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-5
 - Fix bz463220

* Wed Aug 27 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-4
- Fix bz459562 (charset configuration fix for luci)
- Fix bz459469 (An unknown device type was given: "gnbd.")
- Fix bz454933 (Add Support in Conga for Xen migration mapping)
- Fix bz459623 (Conga error adding new node to existing cluster)

* Thu Aug 07 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-3
- More fixes for bz429350

* Thu Jul 10 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.1-1
- Fix bz444938 (conga fails to create proper cluster.conf entries for gfs2 filesystem type)
- Fix bz444210 (Adding multiple fence devices at the same time causes duplicate entries)
- Fix bz444381 (conga writes 'exportpath' instead of 'export' attribute for netfs)
- Fix bz446907 (rpm -V luci fails)
- Fix bz450854 (luci doesn't start because of a missing dep /usr/bin/dc)
- Fix bz206570 (RFE: vm list from ricci)
- Fix bz430737 (Conga should install the 'cmirror' package when clustered storage is requested)
- Fix bz379461 (Conga doesn't have the option for modulename for drac fencing)
- Fix bz433089 (when adding multiple nodes the order is reversed.)
- Fix bz441581 (Don't allow both label and device for qdisk config if only one can be specified)
- Fix bz223785 (Storage 'Display Devices by' option does not work)
- Fix bz250439 (conga is unable to delete snapshot volumes)
- Fix bz414551 (Sector size list is improperly sorted)
- Fix bz429350 (RFE: GUI support for failing over a service to another node after X number of restarts)

* Fri Apr 18 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-8
- Fix bz441580 (conga should install 'sg3_utils' and start service 'scsi_reserve' when scsi fencing is used)
- Fix bz441573 ("nodename" field for fence_scsi disabled when adding a new fence device/instance)
- Fix bz442997 (Luci inserts "hostname" instead of "ipaddr" for rsa II fencing device)
- Fix bz442806 (luci shows wrong state for 'Monitor link' checkbox in IP resource)

* Fri Apr 18 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-7
- Fix a bug introduced while implementing bz337041 (Add option to not fail-back service)

* Wed Feb 27 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-6
- Fix bz434586 (Resource tree does not display multiple children of a parent correctly)
- Fix bz304931 (Rich Sybase resource agent configuration support)
- Fix bz437398 (When Luci session times out a re-login is thought to be a logout.)

* Tue Feb 12 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-5
- Fix bz432533 (Do not attempt to install the cmirror package when shared storage is requested)

* Fri Feb 08 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-4
- Fix bz429151 ([RFE] Luci: increase min password length to 6 characters)
- Fix bz429152 ([RFE] add inactivity timeout)

* Wed Feb 06 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-3
- Fix bz431105 (IP Address Resource configuration: cannot enter fully qualified hostname)

* Mon Jan 28 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-2
- Fix bz430737 (Conga should install the 'cmirror' package when clustered storage is requested)

* Fri Jan 25 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-1
- Fix a bug that prevented the fix for bz230462 from working

* Tue Jan 22 2008 Ryan McCabe <rmccabe@redhat.com> 0.12.0-0
- Fixed bz230462 (RFE: Only reboot installation target machines when needed)
- Fixed bz238655 (conga does not set the "nodename" attribute for manual fencing)
- Fixed bz239387 (RFE: add timeouts for actions that can leave cluster unreachable)
- Fixed bz249097 (allow a space as a valid password char)
- Fixed bz249619 (luci "Manage Systems and Clusters" display of clusters and storage systems is cascaded)
- Fixed bz252348 (RFE: should only have to enter a system's password once)
- Fixed bz253223 (When deleting a node from conga, the fence device isn't deleted)
- Fixed bz253720 ("trust" box shouldn't be an option if it is required)
- Fixed bz253727 (RFE: graphical view should be default in partiton tables view)
- Fixed bz253842 (luci ignores File System Resource Configuration)
- Fixed bz253879 (RFE: drop the link/details column in the resource section table)
- Fixed bz264161 (RFE: support setting the "__independent_subtree" attribute on cluster resources)
- Fixed bz277661 (RFE: Better instructions on the luci login page if luci_admin not run.)
- Fixed bz277711 (RFE: luci_admin should check that luci is running before asking for the password)
- Fixed bz295771 (RFE: add ability to set self_fence attribute for clusterfs resources)
- Fixed bz301411 (conga shouldn't turn on init scripts if the user turned them off)
- Fixed bz303661 (Browser support to encompass Internet Explorer on Windows Vista and XP)
- Fixed bz304891 (Browser support to encompass Firefox on Windows Vista and XP.)
- Fixed bz315631 (conga doesn't handle the cluster restart operation properly)
- Fixed bz317261 (Check for dual power fencing fails when adding new fence instances)
- Fixed bz320411 (conga should use the node name in cluster.conf and not FQDN for fencing)
- Fixed bz337041 (Add option to not fail-back service)
- Fixed bz340111 (Storage redirection after probe does not work on WinXP with FF2)
- Fixed bz379461 (Conga doesn't have the option for modulename for drac fencing)
- Fixed bz383071 (Virtual machine configuration - add field for "migration type" xml attr = "migrate")

* Tue Oct 02 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.1-1
* Fix regression of bz249097

* Mon Aug 27 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-6
- Fixed bz253783
- Fixed bz253914 (conga doesn't allow you to reuse nfs export and nfs client resources)
- Fixed bz254038 (Impossible to set many valid quorum disk configurations via conga)
- Fixed bz253994 (Cannot specify multicast address for a cluster)
- Resolves: bz253783, bz253914, bz254038, bz253994

* Mon Aug 20 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-5
- Fixed bz249291 (delete node task fails to do all items listed in the help document)
- Fixed bz253341 (failure to start cluster service which had been modifed for correction)
- Related: bz253341
- Resolves: bz249291

* Mon Aug 13 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-4
- Fixed bz230451 (fence_xvm.key file is not automatically created. Should have a least a default)
- Fixed bz249097 (allow a space as a valid password char)
- Fixed bz250834 (ZeroDivisionError when attempting to click an empty lvm volume group)
- Fixed bz250443 (storage name warning utility produces a storm of warnings which can lock your browser)
- Resolves: bz249097, bz250443, bz250834
- Related: bz230451

* Mon Jul 30 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-3
- Fixed bz245947 (luci/Conga cluster configuration tool not initializing cluster node members)
- Fixed bz249641 (conga is unable to do storage operations if there is an lvm snapshot present)
- Fixed bz249342 (unknown ricci error when adding new node to cluster)
- Fixed bz249291 (delete node task fails to do all items listed in the help document)
- Fixed bz249091 (RFE: tell user they are about to kill all their nodes)
- Fixed bz249066 (AttributeError when attempting to configure a fence device)
- Fixed bz249086 (Unable to add a new fence device to cluster)
- Fixed bz249868 (Use of failover domain not correctly shown)
- Resolves bz245947, bz249641, bz249342, bz249291, bz249091,
- Resolves bz249066, bz249086, bz249868
- Related: bz249351

%changelog
* Wed Jul 18 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-2
- Fixed bz245202 (Conga needs to support Internet Explorer 6.0 and later)
- Fixed bz248317 (luci sets incorrect permissions on /usr/lib64/luci and /var/lib/luci) 
- Resolves: bz245202 bz248317

%changelog
* Wed Jun 27 2007 Ryan McCabe <rmccabe@redhat.com> 0.10.0-1
- Fixed bz238655 (conga does not set the "nodename" attribute for manual fencing)
- Fixed bz221899 (Node log displayed in partially random order)
- Fixed bz225782 (Need more luci service information on startup - no info written to log about failed start cause)
- Fixed bz227743 (Intermittent/recurring problem - when cluster is deleted, sometimes a node is not affected)
- Fixed bz227682 (saslauthd[2274]: Deprecated pam_stack module called from service "ricci")
- Fixed bz238726 (Conga provides no way to remove a dead node from a cluster)
- Fixed bz239389 (conga cluster: make 'enable shared storage' the default)
- Fixed bz239596
- Fixed bz240034 (rpm verify fails on luci)
- Fixed bz240361 (Conga storage UI front-end is too slow rendering storage)
- Fixed bz241415 (Installation using Conga shows "error" in message during reboot cycle.)
- Fixed bz241418 (Conga tries to configurage cluster snaps, though they are not available.)
- Fixed bz241706 (Eliminate confusion in add fence flow)
- Fixed bz241727 (can't set user permissions in luci)
- Fixed bz242668 (luci init script can return non-LSB-compliant return codes)
- Fixed bz243701 (ricci init script can exit with non-LSB-compliant return codes)
- Fixed bz244146 (Add port number to message when ricci is not started/firewalled on cluster nodes.)
- Fixed bz244878 (Successful login results in an infinite redirection loop with MSIE)
- Fixed bz239388 (conga storage: default VG creation should be clustered if a cluster node)
- Fixed bz239327 (Online User Manual needs modification)
- Fixed bz227852 (Lack of debugging information in logs - support issue)
- Fixed bz245025 (Conga does not accept '&amp;' character in password field for Fence configuration)
- Fixed bz225588 (luci web app does not enforce selection of fence port)
- Fixed bz212022 (cannot create cluster using ip addresses)
- Fixed bz223162 (Error trying to create a new fence device for a cluster node)
- Upgraded to the latest Plone (2.5.3)
- Added a "reprobe storage" button that invalidates cached storage reports
  and forces a new probe.
- Resolves: bz238655, bz221899, bz225782, bz227682, bz227743, bz239389,
- Resolves: bz239596, bz240034, bz240361, bz241415, bz241418, bz241706,
- Resolves: bz241727, bz242668, bz243701, bz244146, bz244878, bz238726,
- Resolves: bz239388, bz239327, bz227852, bz245025, bz225588, bz212022

* Wed Apr 11 2007 Ryan McCabe <rmccabe@redhat.com> 0.9.2-5
- Fixed bz225206 (Cluster cannot be deleted (from 'Manage Systems') - but no error results)
- Fixed bz225164 (Conga allows creation/rename of clusters with name greater than 15 characters)
- Fixed bz227758 (Entering bad password when creating a new cluster = UnboundLocalError: local variable 'e' referenced before assignment)
- Resolves: bz225206, bz225164, bz227758

* Wed Mar 28 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.9.2-4
- Do not fail on i18n machines
- Fixed bz225747 (Create/delete cluster - then access disk on node = Generic error on host: cluster tools: cman_tool errored)
- Fixed bz233326 (CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack)
- Fixed bz228637 (CVE-2007-1462 security alert - passwords sent back from server as input value)
- Fixed bz229027 (luci failover domain forms are missing/empty)
- Fixed bz230447 (fence_xvm is incorrectly listed as "xmv" in virtual cluster)
- Fixed bz230452 (Advanced options parameters settings don't do anything)
- Fixed bz230454 (Unable to configure a virtual service)
- Fixed bz230457 (kmod-gfs-xen not installed with Conga install)
- Fixed bz230461 ('enable shared storage' option cleared whenever there is a configuration error)
- Fixed bz230469 (Must manually edit cluster.conf on the dom0 cluster to add "<fence_xvmd/>")
- Resolves: bz229027, bz230447, bz230452, bz230454, bz230457,
- Resolves: bz230461, bz230469, bz228637, bz233326, bz225747

* Tue Jan 23 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-30
- Fixed bz212445 (release blocker: prevent management page access)
- Resolves: bz212445

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-29
- Remove test accounts from Data.fs
- Related: bz222223

* Wed Jan 17 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-28
- Updated docs
- Fixed bz222223 (Deactivate LV before removal)
- Resolves: bz222223

* Wed Jan 10 2007 Stanko Kupcevic <kupcevic@redhat.com> 0.8-27
- Fixed bz214989 (Package download not working for Conga during cluster creation)
- Fixed bz219522 (Restarting a cluster via luci web gui = UnboundLocalError - local variable 'e' referenced before assignment)
- Fixed bz201394 (luci doesn't verify ricci's SSL cert against trusted list)
- Fixed bz212021 (various luci buttons do nothing)
- Fixed bz212448 (release blocker: turn off debug mode of server)
- Fixed bz212445 (release blocker: prevent management page access)

* Tue Dec 12 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-26
- luci storage: fix bytes->TB conversion
- Improved bz201394: luci doesn't verify ricci's SSL cert against trusted list (step 1 - backend)
- Fixed bz217387 (luci - HTML error shows up in display (minor))
- Fixed bz215031 (Cannot add a resource to a service via luci web app)
- Fixed bz218040 (luci reports "unknown" as cluster name if cluster creation fails)
- Fixed bz218941 (Conga/luci - cannot add node to cluster via luci web app)
- Fixed bz219156 (Errors in performing node-specific tasks due to ricci outage not reflected in luci display)
- Fixed bz217703 (clustered vg creation fails)
- Resolves: bz217387, bz215031, bz218040, bz218941, bz219156, bz217703
- Related: bz201394

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-25
- Fix build issues (D-BUS detection)

* Thu Nov 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-24
- Fixed bz215039 (Cannot create a new resource via luci web app)
- Fixed bz215034 (Cannot change daemon properties via luci web app)
- Fixed bz214790 (Stop/restart cluster not working via luci web app)
- Fixed bz213690 (luci - Reversed links in colophon (gui - minor))
- Fixed bz213266 (Conga - modifying a cluster node's cluster membership in a subnet with other clusters results in the wrong cluster.conf)
- Fixed bz213083 (luci - should display usernames in some logical/sorted order (usability))
- Fixed bz212601 (luci - selecting cluster name or cluster node name indicates error in install and displays empty form)
- Fixed bz212021 (various luci buttons do nothing)
- Fixed bz212006 (create cluster does not show status as cluster is being created)
- Fixed bz212584 (luci does not retrieve failed ricci queue elements)
- Fixed bz212440 (luci persists possibly incorrect name for a system)
- Improved bz213306 (ricci - log probing can take minutes to complete)
- Fixed starting/stopping services
- Fixed deleting cluster
- Fixed deleting node
- Fixed redirection for all async->busy wait calls
- Storage module: properly probe cluster quorum if LVM locking
  is marked as clustered
- Resolves: bz215039, bz215034, bz214790, bz213690, bz213266
- Resolves: bz213083, bz212601, bz212021, bz212006, bz212584
- Resolves: bz212440
- Related: bz213306

* Wed Nov 01 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-23
- 213504: luci does not correctly handle cluster.conf with
  nodes lacking FQDN

* Tue Oct 31 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-22
- 212582: SELinux prevents creation of /etc/cluster/cluster.conf

* Wed Oct 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-21
- 211564: ricci allocates huge memory chunk, causing long swapping
- 211345: cluster_adapters is missing import of Xenvm module
- 211191: SELinux issues tracking bug
- 211370: retrieving log from node fails
- 211942: Xenvm moniker must be eradicated from UI
- 211375: unable to reliably create a cluster
- 211373: reboot node fails from storage tab

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-20
- Minor GUI nits

* Wed Oct 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-19
- GUI nits
- Fixed bzs: 206663, 206567, 206571, 206572

* Wed Oct 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-18
- Version bump

* Wed Oct 04 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-17
- Many luci improvements

* Mon Sep 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-16
- Enable zope/plone inclusion on RHELs
- Remove luci's dependency on ricci
- Many improvements of cluster management interface
- Add full GFS1/2 support; detect many other filesystems
- Suppress msgs from init script (bz204235)
- Upgrade zope to 2.9.4 (track Fedora Core)

* Thu Aug 24 2006 Paul Nasrat <pnasrat@redhat.com> 0.8-15
- Disable inclusion of plone/zope and comment out requires

* Fri Aug 21 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-14
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-13
- Version bump

* Fri Aug 18 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-12
- Don't auto-start ricci after installation, do it manually
- Under certain circumstances, default luci password would not get reset
- Many Luci improvements

* Wed Aug 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11.7
- Move ricci-modrpm, ricci-modlog, ricci-modstorage, ricci-modservice
  from /usr/sbin to /usr/libexec

* Wed Aug 09 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-11
- Spin off clustermon.srpm (modcluster, cluster-snmp and
  cluster-cim) from conga.srpm
- Luci: tighten down security

* Thu Aug 03 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-10
- Luci: fix login issues, add cluster resources, styling...

* Wed Jul 26 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-9
- Update Luci to Plone 2.5

* Tue Jul 25 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-8
- New build with a lot of implementation details on Luci
- Last build with plone 2.1.2

* Thu Jul 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-7
- More compliant specfile, minor fixes

* Tue Jun 27 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-6
- Luci persists users/clusters/systems/permissions across upgrades

* Fri Jun 16 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-4
- Moved storage, service, log and rpm modules into main ricci.rpm

* Wed Jun 14 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.8-1
- Packaged cluster-snmp (cluster snmp agent)
- Packaged cluster-cim (cluster CIM provider)

* Mon Jun 06 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.7-5
- Disable non-https access to Luci, enable https on port 8084

* Mon Jun 02 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.7-1
- Packaged Luci - ricci's www frontend
- Added logging module

* Mon May 26 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.6-1
- Multitude of fixes and new features

* Mon Apr 10 2006 Stanko Kupcevic <kupcevic@redhat.com> 0.5-1
- First official build of conga project
